(defun gettag (block_name	attrib_name	 /
	       block_ref	block_ename	 next_ent
	       temp_attrib_name	next_ent_ename
	      )
  ;;  (princ (strcat "\nBlock Name: " block_name))
  ;;  (princ (strcat "\nAttribute Name: " attrib_name))
  (if (setq block_set
	     (ssget "x" (list (cons 2 block_name) (cons 0 "INSERT")))
					; Search for an instances of the requested
      )					; block name.
    (progn
      (setq block_ref (entget (ssname block_set 0)))
					; Get the first block in the set
      (setq block_ename (cdr (assoc -1 block_ref)))
					; Get the entity name of the block reference
      (setq next_ent block_ref)
      (setq temp_attrib_name (cdr (assoc 2 next_ent)))
      (setq next_ent_ename (cdr (assoc -1 next_ent)))
      (while (and (/= temp_attrib_name (strcase attrib_name))
					; Start stepping throught the sub entities
					; Until we find the end of the block
		  (/= (cdr (assoc 0 next_ent)) "SEQEND")
	     )
	;; (if temp_attrib_name
	;;  (princ (strcat "\nTemp Attrib name: " temp_attrib_name))
	;; )
	(setq next_ent (entget (entnext next_ent_ename)))
	(setq temp_attrib_name (cdr (assoc 2 next_ent)))
	(setq next_ent_ename (cdr (assoc -1 next_ent)))
	(if (= temp_attrib_name (strcase attrib_name))
	  (setq tag_value (cdr (assoc 1 next_ent)))
	)
      )
      (if (= (cdr (assoc 0 next_ent)) "SEQEND")
					; Let the user know if the block doesn't have
					; an attribute by that name
	(princ (strcat "\nThe block \""
		       (strcase block_name)
		       "\" does not have an attribute named \""
		       (strcase attrib_name)
		       "\"."
	       )
	)
	(princ (strcat "\nTAG_VALUE: " tag_value))
					; Return the attribut tag value
      )
      ;; (if temp_attrib_name
      ;;   (princ (strcat "\nTemp Attrib name: " temp_attrib_name))
      ;; )
    )
    (princ (strcat "\nThere is no block named "
					; Let the user know if there isn't an
					; instance of the requested block
		   (strcase block_name)
		   " inserted in this drawing."
	   )
    )
  )
  (princ)
)
